Subject: Dual Nic Problems

From: "Bryn Hughes" <[email-masked]>
Date: Fri, 01 Dec 2000 16:40:30 -0800

I can't quite figure out how to get Netatalk to behave properly with 2 NICs.  Here's my setup:

eth0: Our 'admin' lan, with a proper public IP address
eth1: Our 'student' lan, with a 192.168.xxx.xxx address

If I set the gateway device in my network config script as "eth1", I can connect to netatalk from both LANs via TCP/IP, however I always get connected to card 'eth1' regardless of which vlan I'm connecting from.  (or at least I'm connected to the IP address of that card).  If I set the gateway device to eth0, I can actually get outside with my server, but I cannot connect via TCP/IP to the server unless I manually specify the IP address and port.  I can see the server in the chooser fine, and it shows up in the correct zone.  Connecting to it over Appletalk works fine.

I can send in my config scripts if anyone thinks it would help... but I'd love to hear everyone's ideas!

Bryn